community
cancel
Showing results for 
Search instead for 
Did you mean: 

Alteryx Knowledge Base

Definitive answers from Designer experts.

R Plugin Compatibility

Alteryx
Alteryx
Created on

 

With the release of 10.6 came awesome new features, and an upgrade in the underlying R version (from 3.1.3 code named "Smooth Sidewalk," to 3.2.3 code named "Wooden Christmas-Tree").  Using the incompatible R version will cause errors in your R macros.

 

R plugin error.JPG

 

Simply make sure that your Predictive Tools download is the version compatible with your Alteryx Designer version:

 

downloads page.JPG

 

Users on 10.5 should continue to use the R3.1.3 version.

 

When using Alteryx and Microsoft Revolution R Enterprise, a separate predictive tools install is required (in green). For details, see the Alteryx and Revolution Analytics Integration Guide.

 

And remember to use the non-Admin Predictive version with non-Admin versions of Alteryx Designer.

 

To install Predictive Tools for Alteryx 10.0, go to Previous Releases. For Alteryx 9.5, within Designer, go to Help > Install Predictive Tools. 

 

Happy Alteryx-ing!

Comments
Meteoroid

I am learning how to use Alteryx, and am quite new to the software here.

I was trying to follow this guide and as a member of a team at my company who have a license to Alteryx, I was hoping to get further information regarding our configurations. I tried to go here and find that download list you show here. I noticed it asks for a license key. If I have been logged in under my supervisor's login credentials to a system, and don't have permissions/access to that key is there any way to view:
 →What the underlying R version is

 →Downloads available

 →What R libraries I currently have that are compatible with the current Alteryx version I have? Note I was able to go to Help→About and it looks like we have version 2018.1.7 (which honestly looked quite confusing in comparison with the syntax of the other R versions).
Lastly, from the readings, there seem to be conflicting information on Alteryx's help site regarding what R packages you can use. I read an article here from Dr Dan which seems encouraging considering the link to find and install the appropriate R package needed for your functionality, but then there are articles like this one which seem to indicate that you still can't use those in the Gallery. There was a link here that was mentioned in a similar thread on how some 'Install R Packages' app, but that took so long to load, that I finally quit.
The documentation here is quite confusing and on the surface seems contradictory. Can you please guide a little better on a more simplistic level how I can get running R scripts working with current workflows? I noticed that we seem to need an "FSelector" library as well from this page, and I don't see that in the list of connected libraries. Please assist.

Meteoroid

So....I think I figured out most of the answer to my questions. I ran an internet search "read.Alteryx call in R" and came across this article. It is rather amazing that with all of my searches in the Alteryx help site, I couldn't find a simple explanation of how to use the R tool interface to generate read in code. Dr Dan came closest, but still overdoes it with downloading of libraries that are unnecessary and it leaves the new user wondering if they are missing critical pieces. If I were Alteryx technical writers, I would be rather embarrassed that another company/site could put together a clearer more understandable write up of my own product than I could. I couldn't find anything this easy to follow on the Alteryx site.

Alteryx
Alteryx

Hi @AltR - great suggestions, thank you!  We are actually about to publish both an Alteryx/ R Cheat Sheet, and and KnowledgeBase article with exactly the answers you're requesting. Keep an eye out for new articles published by one of our Predictive/ R gurus @SydneyF !

 

In the meantime, we do have an R Based Macros training that goes in to a bit more detail about the R tool functionality.  You can find the R version compatibility here - as of 2018.2, we are using R-3.4, which will allow you to use more current versions of your R packages.  We support the packages that come with the software; you can find these using the following code:

 

pckgs = data.frame("Packages.Installed" = row.names(installed.packages()))

write.Alteryx(pckgs, 1)

 

We have a ton of skilled Alteryx/ R users on the Community, so please post any additional questions you may have to our forums.  This will give more visibility, and allow other users with similar questions to find the answers more quickly.  You can also post product ideas to our Ideas page - our Product Managers and developers regularly peruse these ideas, and if they have enough support, the feature can be included in the roadmap for future releases.

 

Thanks again, and Happy Alteryx-ing!